curl --request PATCH \
--url https://network.{region}.basaltic.sh/v1/egress-only-gateways/{egress_only_gateway_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Egress-only v6 for the private tier",
"tags": {}
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/egress-only-gateways/{egress_only_gateway_id}"
payload = {
"description": "Egress-only v6 for the private tier",
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Egress-only v6 for the private tier', tags: {}})
};
fetch('https://network.{region}.basaltic.sh/v1/egress-only-gateways/{egress_only_gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"egress_only_gateway": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:egress-only-gateway/main",
"name": "main",
"vpc": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod",
"name": "prod",
"cidr_ipv4": "10.0.0.0/16",
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Production VPC for web and app tiers",
"cidr_ipv6": "2a13:9500:1a6:100::/60"
},
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Egress-only v6 for the private tier"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Atualizar gateway somente de saída
Atualize a descrição / tags. Nome + VPC são imutáveis.
network:UpdateEgressOnlyGateway. Consulte permissões de redes para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Egress-only Gateway ID
Corpo
Resposta
Egress-only gateway atualizado
Saída IPv6 nativa sem tradução de endereço: uma sub-rede com IPv6 global cuja tabela de rotas aponta ::/0 em um recebe OUTBOUND v6 (mais o tráfego de retorno de seus próprios fluxos), mas a internet nunca pode iniciar uma conexão de entrada - uma queda de banda de plataforma impõe isso independentemente dos grupos de segurança do locatário. Ele não possui endereço e não traduz fontes de ULA e reutiliza o gateway de Internet da VPC para o uplink L3, portanto, a VPC deve ter um IGW anexado. Um por VPC.
Show child attributes
Show child attributes

